Subject: Re: Copying conditions

From: Simon Josefsson <[email-masked]>
Date: Tue, 04 Jan 2005 20:20:02 +0100

[email-masked] (Scott Bradner) writes:

>> Please double check what I wrote and make sure what you said is still
>> true.  
>
> just to be clear - you don't need to do anything to get permisison
> from previous contributors/authors for others within the IETF process
> to take parts of what you produce or for you to take parts of what 
> others have publihed in IDs or RFCs (unless they had a restriction 
> in the original publication)
>
> you also don't need to do anything in the case where your source was
> an RFC Editor RFC (since the RFC Editor does requires the permisison to 
> take extracts etc from the authors)
>
> but, in what I think in rereading you were talking about, I think 
> you would need to get permisison from all of the old authors and  major (named)
> contributors if you are updating (within the IETF process) an existing RFC
> that some else wrote and wanted to include text that extended permisison 
> for people outside of the IETF process to make extracts or modified evrsions
> of the revised document
>
> I expect you would also have to get permisison of all of your co-authors
> and major contributors to do the same with a new (not foo-bis) work

For what it's worth, that is exactly the situation I'm in with RFC
2538bis now.

Fortunately, that specification doesn't include things that I need to
copy in order to implement it.

However, I still cannot include the new 2538bis document with my
software, if I want free software distributions, such as Debian
GNU/Linux, to be able to redistribute it.

(I believe Debian remove RFCs from packages today, to work around this
issue.  But in a package where the RFC has been incorporate both into
the manual and into source code, it might be difficult to do, and
Debian might chose to not redistribute my work altogether.)

Thanks,
Simon

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg